> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bulk update



## OpenAPI

````yaml /openapi/orders.json post /v1/crm/requests/inventories/bulk_update/
openapi: 3.0.3
info:
  title: Yume API — Аренда
  version: 1.0.0
  description: Управление арендой, заявками и заказами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/requests/inventories/bulk_update/:
    post:
      tags:
        - inventories
      summary: Create bulk update
      operationId: inventories_bulk_update_create
      parameters:
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderRequestInventoryBulkUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OrderRequestInventoryBulkUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OrderRequestInventoryBulkUpdate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderRequestInventoryBulkUpdate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderRequestInventoryBulkUpdate:
      type: object
      properties:
        request:
          type: integer
          writeOnly: true
          nullable: true
        inventories:
          type: array
          items:
            $ref: '#/components/schemas/OrderRequestInventoryUpdate'
        force:
          type: boolean
          writeOnly: true
          default: false
      required:
        - inventories
    OrderRequestInventoryUpdate:
      type: object
      properties:
        type:
          type: integer
          writeOnly: true
          default: 0
        set:
          type: integer
          writeOnly: true
          nullable: true
        set_group:
          type: string
          writeOnly: true
          nullable: true
        inventory_group:
          type: integer
          writeOnly: true
          nullable: true
        inventory:
          type: integer
          writeOnly: true
          nullable: true
        tarif:
          type: integer
          writeOnly: true
          nullable: true
        tarif_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          writeOnly: true
        tarif_duration:
          type: string
          writeOnly: true
        start_at:
          type: string
          format: date-time
          writeOnly: true
        end_at:
          type: string
          format: date-time
          writeOnly: true
        extra:
          writeOnly: true
        warehouse:
          type: integer
          writeOnly: true
          nullable: true
        counterparty:
          type: integer
          writeOnly: true
          nullable: true
        discount:
          type: integer
          writeOnly: true
          nullable: true
        id:
          type: integer
          writeOnly: true
      required:
        - end_at
        - id
        - start_at
        - tarif
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````